# named

abstract fun named(nameFilter: Spec<String>): TaskCollection<T>

abstract fun named(name: String): TaskProvider<T>

Locates a task by name, without triggering its creation or configuration, failing if there is no such object.

#### Return

A Provider that will return the task when queried. The task may be created and configured at this point, if not already.

#### Since

4.9

#### Parameters

name

The task name

#### Throws

UnknownTaskException

If a task with the given name is not defined.

abstract fun named(name: String, configurationAction: Action<in T>): TaskProvider<T>
abstract fun <S : T?> named(name: String, type: Class<S>): TaskProvider<S>
abstract fun <S : T?> named(name: String, type: Class<S>, configurationAction: Action<in S>): TaskProvider<S>

#### Since

5.0